(******************************************************************************

______________________________________________________________________________

ColBuild v0.10                                               (c) 2009-12 Pepak
http://www.pepak.net/e-books/prs-505-sbirky/              http://www.pepak.net
______________________________________________________________________________


Copyright (c) 2009-12 Pepak (http://www.pepak.net)
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * Neither the name of Pepak nor the
      names of his contributors may be used to endorse or promote products
      derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL PEPAK BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

******************************************************************************)

program ColBuild;
{$INCLUDE 'ColBuild.inc'}
{$APPTYPE CONSOLE}
{$R *.res}

uses
  SysUtils,
  uMain in 'uMain.pas',
  uXML in 'uXML.pas',
  uEbooks in 'uEbooks.pas',
  uCalibreEbooks in 'uCalibreEbooks.pas',
  uEpubEbooks in 'uEpubEbooks.pas',
  uDevices in 'uDevices.pas',
  uPRS_T1 in 'uPRS_T1.pas',
  uPRS_T1_MostRecentlyReadHack in 'uPRS_T1_MostRecentlyReadHack.pas',
  uMedia in 'uMedia.pas',
  uPRS_505 in 'uPRS_505.pas';

begin
  try
    Main;
  finally
    {$WARN SYMBOL_PLATFORM OFF}
    if DebugHook <> 0 then
    {$WARN SYMBOL_PLATFORM ON}
      begin
      Writeln;
      Write('Press ENTER...');
      Readln;
      end;
    end;
end.
